Subject: Re: [GIT PULL] Qualcomm ARM64 Defconfig updates for 5.5

From: Bjorn Andersson <[email-masked]>
Date: Fri, 6 Dec 2019 09:28:41 -0800

On Fri 06 Dec 08:32 PST 2019, Olof Johansson wrote:

> On Thu, Dec 05, 2019 at 09:02:22PM -0800, Bjorn Andersson wrote:
> > On Wed 06 Nov 14:04 PST 2019, Olof Johansson wrote:
> > 
> > > On Wed, Nov 06, 2019 at 01:33:56PM -0600, Andy Gross wrote:
> > > > The following changes since commit 54ecb8f7028c5eb3d740bb82b0f1d90f2df63c5c:
> > > > 
> > > >   Linux 5.4-rc1 (2019-09-30 10:35:40 -0700)
> > > > 
> > > > are available in the git repository at:
> > > > 
> > > >   git://git.kernel.org/pub/scm/linux/kernel/git/qcom/linux.git tags/qcom-arm64-defconfig-for-5.5
> > > > 
> > > > for you to fetch changes up to a36612b7469cf76953cf237a2b9a62f6c97730bb:
> > > > 
> > > >   arm64: defconfig: Enable Qualcomm watchdog driver (2019-10-20 23:04:59 -0700)
> > > > 
> > > > ----------------------------------------------------------------
> > > > Qualcomm ARM64 Based defconfig Updates for v5.5
> > > > 
> > > > * Enable Qualcomm cpufreq, watchdog, prng, socinfo, SPI, and QSPI controllers
> > > > * Enable SN65DSI86 display bridge
> > > > * Enable QCA Bluetooth over Uart
> > > > * Enable various Qualcomm remoteproc dependencies
> > > > 
> > > > ----------------------------------------------------------------
> > > > Bjorn Andersson (6):
> > > >       arm64: defconfig: Enable Qualcomm remoteproc dependencies
> > > >       arm64: defconfig: Enable Qualcomm SPI and QSPI controller
> > > >       arm64: defconfig: Enable Qualcomm socinfo driver
> > > >       arm64: defconfig: Enable Qualcomm CPUfreq HW driver
> > > 
> > > 
> > > Hi, this turns on the driver as =y, when the option is tristate. Other
> > > cpufreq drivers are also modules. Is this driver truly needed to be
> > > a built-in for a generic defconfig?
> > > 
> > 
> > I see Linus merged the arm defconfig PR today, but afaict the patches
> > from this branch is missing. Please advice on how you would like us to
> > proceed.
> 
> I think I was waiting on the promised validation of using =m for the cpufreq
> drivers and an updated pull request.
> 

Sounds reasonable, I would however like the CPUfreq driver to be =y;
there are several other drivers doing this and lately work has gone into
ensuring that this driver probes as early as possible.

In either case, I presume we would change the =y to a =m in an
incremental patch, in order to not have to rewrite the branch?

@Amit, have we done any validation with the SDM845 CPUfreq driver built
as a module?

Regards,
Bjorn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel